package handlers_test

import (
	"net/http"
	"otaupdate/handlers"
	"otaupdate/services"
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/db/queries/mocks"
	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestHandleUpdateManifestSUMSDelete(t *testing.T) {
	services.GetDB().SetUpdateManifestVersions(&mocks.MockUpdateManifestVersions{})

	tests := []th.BasicHttpTest{
		{
			Name:             "Good params",
			Request:          th.MakeTestRequest(http.MethodDelete, "/manifests/sums/5236.12.5.67", nil),
			ExpectedStatus:   http.StatusOK,
			ExpectedResponse: `{"message":"Deleted"}`,
		},
	}

	th.RunParamHttpTests(t, tests, handlers.HandleUpdateManifestSUMSDelete, "/manifests/sums/:version")
}
